<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>GP</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group___g_p.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">GP<div class="ingroups"><a class="el" href="group___s_u_b_j_e_c_t.html">Test list</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:group_____time_api"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____time_api.html">00290_TimeApi</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____data___storage"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____data___storage.html">00300_Data_Storage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____data___storage___benchmark"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____data___storage___benchmark.html">00325_Data_Storage_Benchmark</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____crypto"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____crypto.html">00400_Crypto</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto.html">00800_GPCrypto</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____invoke_command_parameters"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____invoke_command_parameters.html">01100_InvokeCommandParameters</a></td></tr>
<tr class="memdesc:group_____invoke_command_parameters"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test TEEC_InvokeCommand() with different number and type of parameters. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____client_authentication"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____client_authentication.html">01200_ClientAuthentication</a></td></tr>
<tr class="memdesc:group_____client_authentication"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test TEEC_OpenSession() with different connection methods. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__cipher"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher.html">01200_GPCrypto_cipher</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__cipher___n_i_s_t"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__cipher___n_i_s_t.html">01200_GPCrypto_cipher_NIST</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__digest"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__digest.html">01200_GPCrypto_digest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__keygen"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__keygen.html">01200_GPCrypto_keygen</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__mac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__mac.html">01200_GPCrypto_mac</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__object.html">01200_GPCrypto_object</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__signature"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__signature.html">01200_GPCrypto_signature</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__bignum"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__bignum.html">04000_GPCrypto_bignum</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____g_p_crypto__secretagreement"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____g_p_crypto__secretagreement.html">07000_GPCrypto_secretagreement</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group_____clone___threads"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____clone___threads.html">30000_Clone_Threads</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga94883cd8a50bc5bdac4f3a1204aa26ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga94883cd8a50bc5bdac4f3a1204aa26ba"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_p.html#ga94883cd8a50bc5bdac4f3a1204aa26ba">des_plain_text</a> [2][DES_BLOCK_SIZE]</td></tr>
<tr class="memdesc:ga94883cd8a50bc5bdac4f3a1204aa26ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Following des test vectors are from <a href="http://csrc.nist.gov/publications/nistpubs/800-17/800-17.pdf">http://csrc.nist.gov/publications/nistpubs/800-17/800-17.pdf</a>. <br/></td></tr>
<tr class="separator:ga94883cd8a50bc5bdac4f3a1204aa26ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab7fc8ba254febc5b7dfdda9f2ef9093c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab7fc8ba254febc5b7dfdda9f2ef9093c"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_p.html#gab7fc8ba254febc5b7dfdda9f2ef9093c">message_16bytes</a> []</td></tr>
<tr class="memdesc:gab7fc8ba254febc5b7dfdda9f2ef9093c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hardcoded test data. <br/></td></tr>
<tr class="separator:gab7fc8ba254febc5b7dfdda9f2ef9093c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
